MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023288Community[OCCT] OCCT:Modeling Algorithmspublic2012-07-16 16:162012-11-16 13:18
ReporterPawel 
Assigned Toaba 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023288: IntCurve_IntConicConic_1.cxx: if(A) {...} else if (A){...} pattern detected
DescriptionIn lines 200 and 244 occurs the same if-condition:

if(dO1O2 > AbsR1mR2-Tol)
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0023132closedomy Suspicious code snippets 

-  Notes
(0021757)
aba (developer)
2012-10-12 15:49

In line 244 of IntCurve_IntConicConic_1.cxx there was unrealizable condition 'else if(dO1O2 > AbsR1mR2-Tol)'.
Previous condition block in line 200 covers two cases of circle intersection:
1) one circle contacts another one from inside,
2) one circle intersects another one.
(0021758)
aba (developer)
2012-10-12 15:52

The Git branch CR23288 is ready to be reviewed.
Dear oan, please review.
(0021807)
oan (developer)
2012-10-16 18:18

Dear JGV,
I have no comments.
Please consider consistency of the fix from your side.
(0021852)
jgv (developer)
2012-10-19 15:15

No remarks
(0021995)
mkv (tester)
2012-10-29 17:55

Dear BugMaster,
Branch CR23288 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
Not needed

- Related Changesets
occt: master 80cead41
Timestamp: 2012-10-12 11:29:57
Author: aba
Details ] Diff ]
0023288: IntCurve_IntConicConic_1.cxx: if(A) {...} else if (A){...} pattern detected.

Unrealizable condition ( second condition block 'else if(d0102>AbsR1mR2-Tol)' ) was deleted.
mod - src/IntCurve/IntCurve_IntConicConic_1.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-16 16:16 Pawel New Issue
2012-07-16 16:16 Pawel Assigned To => bugmaster
2012-07-16 16:17 Pawel Relationship added child of 0023132
2012-10-09 19:00 oan Assigned To bugmaster => aba
2012-10-09 19:01 oan Status new => assigned
2012-10-12 15:49 aba Note Added: 0021757
2012-10-12 15:52 aba Note Added: 0021758
2012-10-12 15:53 aba Status assigned => resolved
2012-10-12 15:54 aba Assigned To aba => oan
2012-10-16 18:18 oan Note Added: 0021807
2012-10-16 18:19 oan Assigned To oan => jgv
2012-10-19 15:15 jgv Note Added: 0021852
2012-10-19 15:15 jgv Status resolved => reviewed
2012-10-23 15:48 mkv Assigned To jgv => mkv
2012-10-29 17:55 mkv Note Added: 0021995
2012-10-29 17:55 mkv Test case number => Not needed
2012-10-29 17:55 mkv Assigned To mkv => bugmaster
2012-10-29 17:55 mkv Status reviewed => assigned
2012-10-29 17:56 mkv Status assigned => resolved
2012-10-29 17:56 mkv Status resolved => reviewed
2012-10-29 17:56 mkv Status reviewed => tested
2012-11-06 19:02 aba Changeset attached => occt master 80cead41
2012-11-06 19:03 aba Assigned To bugmaster => aba
2012-11-06 19:03 aba Status tested => verified
2012-11-06 19:03 aba Resolution open => fixed
2012-11-16 13:13 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:18 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker